menu: added new Keywords tag to .desktop files
[barry.git] / debian / changelog
blob5f9a1a5674138e347544291d57a32aa65eeb4c6f
1 barry (0.19.0-1) unstable; urgency=low
3   * New upstream version 0.19.0
4     - Added ppp chatscripts for giffgaff
6  -- Chris Frey <cdfrey@foursquare.net>  Fri, 20 Jul 2012 22:59:27 -0400
8 barry (0.18.4-2) unstable; urgency=low
10   * Fixed Break/Replace dependency for barry-backup.mo move
11   * Removed unnecessary subshell in barry-doc packaging
13  -- Chris Frey <cdfrey@foursquare.net>  Thu, 13 Jun 2013 20:39:40 -0400
15 barry (0.18.4-1) unstable; urgency=low
17   * New upstream version 0.18.4
18     - Added barrydesktop.mo and barryosyncwrap.mo files for Desktop
19     - Added ppp chatscripts for eMobile Ireland
20     - Partial Spanish translation, and updated French translations
21     - Fixed potential pppob hang on shutdown
22     - Added pty support to pppob with the -t option
23     - Fixed device renaming bug in Desktop
24     - Added i18n support in various apps, especially the Desktop
25     - Fixed missing BXEXPORT for DataQueue library class
26     - Fixed incorrect handling of vformat line endings when syncing and
27       using MIME formats
28     - Added serial number option (-s) to bidentify
29     - Added Evolution 3.6 support to EvoSources.cc (only useful for builds
30       using OpenSync)
31     - Added Bold 9930 ipmodem timeout fix
32     - Added support for converting "Calendar - All" databases to MIME
33   * New barry-doc package which includes the html user docs (Closes: #582190)
34     This adds new php5-cli build dependency.
35   * Moved barry-backup.mo from barry-util package to barrybackup-gui
37  -- Chris Frey <cdfrey@foursquare.net>  Fri, 04 Apr 2013 14:20:40 -0400
39 barry (0.18.3-5) unstable; urgency=low
41   * Removed dependency on ppp for kfreebsd, since kernel side pppd is not
42     available, and freebsd-ppp is not fully supported yet.  Also changed
43     barrydeskop's ppp Depend into a Recommend, since Barry can technically
44     run without it. (Closes: #678233)
46  -- Chris Frey <cdfrey@foursquare.net>  Fri, 22 Jun 2012 17:56:40 -0400
48 barry (0.18.3-3) unstable; urgency=low
50   * Fixed build-dep order for autopoint (Closes: #676321)
52  -- Chris Frey <cdfrey@foursquare.net>  Wed, 06 Jun 2012 17:08:40 -0400
54 barry (0.18.3-2) unstable; urgency=low
56   [Chris Frey]
57   * New upstream version 0.18.3 (Closes: #582189, #582187, #657076, LP: #500370)
58   * Moved opensync-plugin into its own build
59   * Removed dependency of libbarry-dev on libusb-dev
60   * Removed .la files
61   * Added new PPP chat scripts, including: kpn, telus, optus, vodafone AU,
62     orangeuk, mts
63   * Added new programs: bwatch, btarcmp, bjdwp, balxparse, bio, brawchannel
64   * New udev rules set, and now under /lib/udev/rules.d
65   * Added Bash and Zsh completion scripts
66   * Updated Standards-Version to 3.9.3
67   * Reviewed debhelper(7) manpage changes and updated compat to 7 (2012/03/03)
68   * New logo and icons
69   * Added NLS support
70   * Moved hal-blackberry script to /usr/lib/barry/
71   * Added lintian override for libosyncwrap in the barrydesktop package
72   * Updated debian/rules to allow for building with an external debian/
73     directory.
74   * Install examples and documentation.
75   * Configure --with-zlib and --enable-boost.
76   * Add gettext, autopoint, libsdl-dev, and libxml++2.6-dev to build-deps.
77   * Added support for hardened builds
78   * Use 3.0 (quilt) source format, as per intrigeri's patch
80   [ intrigeri ]
81   * Drop obsolete patch, stop using deprecated simple-patchsys.
82   * Use 3.0 (quilt) source format.
83   * Make barry-util.postinst script use 'set -e' rather than '/bin/sh -e'.
84   * Avoid duplicate short descriptions.
85   * Fix typo in description (Closes: #598878)
86   * Fix syntax of old debian/changelog entry.
87   * Fix section of -dbg packages.
88   * Add Homepage control field.
89   * Link to the correct version of GPL and LGPL.
90   * Revert useless changes to upstream files.
92   [ Martin Owens ]
93   * Add versionned dependency from barry-util and barrybackup-gui on libbarry0.
95  -- Chris Frey <cdfrey@foursquare.net>  Tue, 15 May 2012 01:32:40 -0400
97 barry (0.15-1.2) unstable; urgency=low
99   * Non-maintainer upload.
100   * Install udev rules into /lib/udev/rules.d (Closes: #561243, #622564)
101   * Fix uninstallability on kfreebsd-* by making barry-util depend on udev
102     on Linux only (Closes: #639594)
103   * Install udev rules on Linux only.
105  -- intrigeri <intrigeri+debian@boum.org>  Sun, 16 Oct 2011 20:04:55 +0200
107 barry (0.15-1.1) unstable; urgency=low
109   * Non-maintainer upload
110   * Maintainer most apparently MIA
111   * Remove opensync plugins, closes: #569443, #591990
112     Thanks: Mathias Klose <doko@ubuntu.com>
113   * added missing bjavaloader and bfuse programs, closes: #548317
114     Thanks: Fabrice Coutadeur <fabricesp@ubuntu.com>
115   * Remove .la file (no reverse build dependencies), closes: #621271
117  -- Riku Voipio <riku.voipio@linaro.org>  Tue, 16 Aug 2011 10:54:04 +0300
119 barry (0.15-1ubuntu1) lucid; urgency=low
121   * Merge from debian testing (LP: #426716), remaining changes:
122     - debian/barry-util.preinst:
123       + Remove old rules,path if unmodified
124     - debian/barry-util.postinst:
125       + Otherwise move to new path
126     - debian/control:
127       + Update udev dependency
129  -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 06 Nov 2009 17:54:31 +0530
131 barry (0.15-1) unstable; urgency=low
133   * New Upstream Version
134     + Adds support for Curve 8900 (Closes: #524677)
135   * Ack NMU. Thanks to Cyril Brulebois for it.
136   * Updated patches:
137      - fix-ftbfs-with-new-boost.diff: deleted, fixed upstream.
138      - fix-ftbfs-with-gcc-4.4.diff: updated
139   * debian/rules:
140     + Install udev files from its new location.
141     + Use .conf for modprobe config files (Closes: #518571)
142   * debian/barry-util.install: do not try to install removed bs11nread util
144  -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 29 Aug 2009 22:57:03 +0200
146 barry (0.14-2.1ubuntu1) karmic; urgency=low
148   * Merge from debian unstable, remaining changes: LP: #401296
149     - debian/rules:
150       + Install udev rules into /lib/udev/rules.d now
151       + Install modprobe file as blacklist-berry_charge.conf
152     - debian/barry-util.preinst:
153       + Remove old rules,path if unmodified
154     - debian/barry-util.postinst:
155       + Otherwise move to new path
156     - debian/control:
157       + Update udev dependency  
159  -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 19 Jul 2009 12:21:14 +0530
161 barry (0.14-2.1) unstable; urgency=medium
163   * Non-maintainer upload.
164   * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
165     boost libraries since starting with this version, only this variant
166     is available (Closes: #529722). Add the following patch:
167      - fix-ftbfs-with-new-boost.diff (thanks to Steve M. Robbins)
168   * Fix FTBFS with gcc-4.4 (Closes: #505342):
169      - fix-ftbfs-with-gcc-4.4.diff (thanks to Martin Michlmayr)
170   * debian/rules: Add the simple-patchsys.mk include to get both patches
171     applied.
172   * Set urgency to “medium”, both bugs affect testing too.
173   * Add ${misc:Depends} to all Depends fields.
175  -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 12:54:03 +0200
177 barry (0.14-2ubuntu2) jaunty; urgency=low
179   * debian/rules: install modprobe file as blacklist-berry_charge.conf
180   * debian/barry-util.preinst: Remove old path if unmodified
181   * debian/barry-util.postinst: Otherwise move to new path
183  -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 20:14:50 +0000
185 barry (0.14-2ubuntu1) jaunty; urgency=low
187   * debian/rules: Install udev rules into /lib/udev/rules.d now
188   * debian/barry-util.preinst: Remove old rules if unmodified
189   * debian/control: Update udev dependency.
191  -- Scott James Remnant <scott@ubuntu.com>  Mon, 12 Jan 2009 18:09:36 +0000
193 barry (0.14-2.1) unstable; urgency=medium
195    * Non-maintainer upload.
196    * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
197      boost libraries since starting with this version, only this variant
198      is available (Closes: #529722). Add the following patch:
199       - fix-ftbfs-with-new-boost.diff (thanks to Steve M. Robbins)
200    * Fix FTBFS with gcc-4.4 (Closes: #505342):
201       - fix-ftbfs-with-gcc-4.4.diff (thanks to Martin Michlmayr)
202    * debian/rules: Add the simple-patchsys.mk include to get both patches
203      applied.
204    * Set urgency to “medium”, both bugs affect testing too.
205    * Add ${misc:Depends} to all Depends fields.
207  -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 12:54:03 +0200
209 barry (0.14-2) unstable; urgency=low
211   * debian/rules: Fix libbarry-dbg name
212   * debian/: some debhelper control files were missing in latest release,
213     making binary packages almost empty. Thanks to Michael Banck for pointing it.
214   * debian/control: change opensync plugin package name to match naming scheme 
215     for other opensync plugins. Thanks to Michael Banck.
216   * debian/compat: force level 4 to make easier building of -dbg package  
218  -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 21 Oct 2008 23:28:05 +0200
220 barry (0.14-1) unstable; urgency=low
222   * New upstream release.
224  -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Sep 2008 16:43:58 +0200
226 barry (0.13-1) unstable; urgency=low
228   [ Jose Carlos Garcia Sogo ]
229   * Upload to Debian (Closes: #450504)
230   * debian/copyright:
231     + Add copyright holders
232     + Add LGPL as license for vformat.[c,h] files
233   * debian/control:
234     + Change maintainer
235     + Bump Standards-Version to 3.8.0
236     + Rename libbary to libbary0 to follow policy.
237     + Add a dependency on exact binary:Version for each -dbg and -dev package
238     + libbarry-dev binary depends on libusb-dev
239   * debian/changelog:
240     + Merge different versions in 0.13-* packages in a new 0.13-1 one, so it
241     can be uploaded into Debian
242   * debian/rules: no need to call autotools
243   * barrybackup-gui.menu: use Applications/Mobile Devices menu, as per Policy
244   
245   [ Chris Frey ]
246   * From 0.13-1.1 upstream package
247   * added brecsum
248   * added ppp options and chat scripts
249   * fixed lintian description warnings
251   [ Jason Thomas ]
252   * Makefile.am and opensync-plugin/Makefile: add ACLOCAL_FLAGS for autoreconf
253   * debian/control: add build-depends: libglib2.0-dev
254   * debian/control: change build-depends: libopensync0 to libopensync0-dev 
256  -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 21 Sep 2008 18:59:37 +0200
258 barry (0.12-1) unstable; urgency=low
260    * version bump
262  -- Chris Frey <cdfrey@foursquare.net>  Fri, 07 Dec 2007 16:25:11 -0500
264 barry (0.11-1) unstable; urgency=low
266    * version bump
268  -- Chris Frey <cdfrey@foursquare.net>  Fri, 30 Nov 2007 22:35:11 -0500
270 barry (0.10-1) unstable; urgency=low
272    * renamed ktrans and translate to bktrans and btranslate
273    * added bidentify
275  -- Chris Frey <cdfrey@foursquare.net>  Fri, 30 Nov 2007 15:49:11 -0500
277 barry (0.9-1) unstable; urgency=low
279    * updated for version 0.9 release
280    * converted build scripts to use cdbs
281    * added opensync plugin package
283  -- Chris Frey <cdfrey@foursquare.net>  Thu, 28 Sep 2007 15:55:11 -0500
285 barry (0.8-1) unstable; urgency=low
287    * updated for version 0.8 release
288    * removed postinst, as the latest stable Debian has a current udev version
289    * split packaging into 4 separate packages: libbarry, libbarry-dev,
290      barry-util, barrybackup-gui
291    * added menu support for barrybackup-gui
293  -- Chris Frey <cdfrey@foursquare.net>  Fri, 11 May 2007 16:38:11 -0500
295 barry (0.6-1) unstable; urgency=low
297    * adapted for Debian Etch.  has a newer version of udev, and plugdev 
298      available.  Also added btool in addition to only bcharge available
300  -- Peter Silva <Peter.A.Silva@gmail.com>  Fri, 06 Apr 2007 00:00:01 -0500
302 barry (0.1-2) unstable; urgency=low
304   * Make this work on ubuntu as well.  Ubuntu has a newer version of udev
305     than Debian stable, and needs different rules.
307  -- Chris Frey <cdfrey@foursquare.net>  Fri, 04 Jan 2007 16:23:01 -0500
309 barry (0.1-1) unstable; urgency=low
311   * Initial Release.
313  -- Chris Frey <cdfrey@foursquare.net>  Fri, 29 Dec 2006 20:34:01 -0500